Name:           osmo
Version:        0.4.4
Release:        %mkrel 6
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office/Organizer
Url:            https://osmo-pim.sourceforge.net/
Source0:        https://downloads.sourceforge.net/osmo-pim/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libgringotts)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(webkit2gtk-4.1)

%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.

Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.

%prep
%setup -q

# build against webkit2gtk-4.1
sed -i -e 's/webkit2gtk-4.0/webkit2gtk-4.1/g' configure.ac

%build
autoreconf -fi
%configure \
  --enable-reproducible
%make_build

%install
%make_install

desktop-file-edit \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/*/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar 16 2025 wally <wally> 0.4.4-6.mga10
+ Revision: 2164979
- rebuild for libxml2 2.13.6

* Thu Sep 19 2024 daviddavid <daviddavid> 0.4.4-5.mga10
+ Revision: 2099058
- rebuild for new gspell 1.14.0

* Tue Sep 20 2022 wally <wally> 0.4.4-4.mga9
+ Revision: 1890982
- build against webkit2gtk-4.1

* Sun Jul 31 2022 barjac <barjac> 0.4.4-3.mga9
+ Revision: 1873862
- fix for mga#30679
- osmo URL tag points to phishing website

* Sat Apr 02 2022 umeabot <umeabot> 0.4.4-2.mga9
+ Revision: 1840280
- Mageia 9 Mass Rebuild

* Mon Jul 13 2020 barjac <barjac> 0.4.4-1.mga8
+ Revision: 1605724
- new version 0.4.4
- fix files lists

* Sat Feb 15 2020 umeabot <umeabot> 0.4.2-5.mga8
+ Revision: 1524025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 24 2019 wally <wally> 0.4.2-4.mga7
+ Revision: 1380023
- clean BRs
- enable reproducible build

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-3.mga7
+ Revision: 1300068
- Mageia 7 Mass Rebuild

* Sat Apr 07 2018 kekepower <kekepower> 0.4.2-2.mga7
+ Revision: 1215954
- Rebuild for new libical

* Thu Dec 28 2017 barjac <barjac> 0.4.2-1.mga7
+ Revision: 1186769
- new version 0.4.2

* Fri Jun 02 2017 barjac <barjac> 0.4.0.1-1.mga6
+ Revision: 1105762
- new version 0.4.0.1
- new BRs added to enable several features that were missing
- BRs changed to pkgconfig format
- Source0 fixed for odd upstream version format
- use %%make_build %%make_install macros

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.2.14-2.mga6
+ Revision: 927288
- rebuild for libical

* Sat Oct 10 2015 barjac <barjac> 0.2.14-1.mga6
+ Revision: 889368
- new version 0.2.14
- removed obsolete patch

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-11.mga5
+ Revision: 744953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-10.mga5
+ Revision: 683282
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.10-9.mga4
+ Revision: 525742
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.2.10-8.mga4
+ Revision: 434362
- rebuild for new ical

* Sun Jan 13 2013 umeabot <umeabot> 0.2.10-7.mga3
+ Revision: 362237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 barjac <barjac> 0.2.10-6.mga3
+ Revision: 299040
- Change group to new policy

* Fri Feb 03 2012 barjac <barjac> 0.2.10-5.mga2
+ Revision: 204246
- rebuild due to a missing signature

* Sun Jan 08 2012 barjac <barjac> 0.2.10-4.mga2
+ Revision: 193019
- Added X-Mageia-CrossDesktop to .desktop
- Added BuildRequire: desktop-file-utils for above

* Tue Nov 29 2011 barjac <barjac> 0.2.10-3.mga2
+ Revision: 174304
- Bump release to one above mga1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 0.2.10-1.mga2
+ Revision: 174124
- imported package osmo


* Tue Nov 29 2011 Barry Jackson <zen25000[at]zen.co.uk> 0.2.10-1.mga2
- Imported osmo

* Sat Apr 30 2011 Funda Wang <fwang@mandriva.org> 0.2.10-3mdv2011.0
+ Revision: 661058
- fix build with libnotify 0.7

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.10-2mdv2011.0
+ Revision: 613545
- rebuild

* Wed Apr 28 2010 Jani VM-CM-$limaa <wally@mandriva.org> 0.2.10-1mdv2010.1
+ Revision: 540411
- new version 0.2.10
- add BR
- drop unneeded patch
- use %%configure2_5x and %%makeinstall_std

* Mon Jan 18 2010 JM-CM-)rM-CM-4me Brenier <incubusss@mandriva.org> 0.2.8-1mdv2010.1
+ Revision: 493221
- import osmo

